This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 170616 - Review Request: ipxripd - IPX RIP/SAP daemon - routing for IPX networks
Review Request: ipxripd - IPX RIP/SAP daemon - routing for IPX networks
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
ftp://ftp.ibiblio.org/pub/Linux/syste...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-13 09:28 EDT by Dmitry Butskoy
Modified: 2011-12-06 01:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 07:02:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dmitry Butskoy 2005-10-13 09:28:11 EDT
Yes, IPX looks like an obsolete thing.

Many distros ago RedHat began to plan IPX removal from its main distribution, however it till now there. It means that IPX is still necessary for users.

This package provides IPX routing and helps IPX browsing. Such functionality is missed in the standard ncpfs package.

Spec Url: http://dmitry.butskoy.name/ipxripd/ipxripd.spec
SRPM Url: http://dmitry.butskoy.name/ipxripd/ipxripd-0.8-1.src.rpm

Description: 
ipxripd is an implementation of Novell's RIP and SAP protocols.
It automagically builds and updates IPX routing table in the Linux kernel.
ipxripd can be useful to get a Linux box to act as an IPX router.
Comment 1 John Mahowald 2005-12-12 22:14:52 EST
- rpmlint only says:
W: ipxripd incoherent-init-script-name ipxd

Looks like an OK name for the script though.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 
- init script

However, %defattr(-,root,root) should be %defattr(-,root,root,-)

(I had to modprobe ipx before ipxd would stay running and not immediately exit.)

Make the %defattr change and this is APPROVED
Comment 2 Dmitry Butskoy 2005-12-13 06:33:31 EST
> I had to modprobe ipx before ipxd would stay running and not immediately exit.
Normally ipxd is run after the IPX is configured by init scripts (therefore ipx
module is already loaded, ipx interfaces are activated etc.).

> %defattr(-,root,root) should be %defattr(-,root,root,-)
OK

Thanks for review!

Note You need to log in before you can comment on or make changes to this bug.